import { Component, OnInit } from '@angular/core';
import { IonContent, IonHeader, IonTitle,IonButton, IonLabel, IonItem, IonList, IonIcon, IonAvatar,NavController} from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { add } from 'ionicons/icons';
import { CloudUser } from 'src/lib/ucloud';
import { openUserLoginModal } from 'src/lib/user/user-login/user-login.component';
import { IonNote } from '@ionic/angular/standalone';
import { IonToolbar } from '@ionic/angular/standalone';
import { ModalController } from '@ionic/angular/standalone';

addIcons({ add })
@Component({
  selector: 'app-me',
  templateUrl: './me.page.html',
  styleUrls: ['./me.page.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonTitle,IonList,IonAvatar,
    IonLabel,IonButton,IonIcon,IonItem,IonNote,IonToolbar,
    IonAvatar,IonItem]
})
export class MePage implements OnInit {
  currentUser:CloudUser|undefined
  // 用户信息数据
  userData = {
    name: '',  // 默认值，可以为空测试默认显示“游客”
    avatar: 'assets/img'  // 默认头像路径
  };

  constructor(private navCtrl: NavController, private modalCtrl: ModalController) {
    this.currentUser = new CloudUser();
  }

  async login(){
    // 弹出登录窗口
    let user = await openUserLoginModal(this.modalCtrl);
    if(user?.id){
      this.currentUser = user
    }
  }

  async signup(){
    // 弹出注册窗口
    let user = await openUserLoginModal(this.modalCtrl,"signup");
    if(user?.id){
      this.currentUser = user
    }
  }

  logout(){
    this.currentUser?.logout();
  }
  
  customizations(){

  }
  favorites(){

  }
  systemsettings(){

  }
  feedback(){
    
  }
  AIchat(){
    
  }
  ngOnInit() {}
}