import { OnInit } from '@angular/core';
import { ToastController } from "@ionic/angular";
import { Router } from '@angular/router';
import { Platform } from "@ionic/angular";
import { FmodeVoiceService } from '../../voice';
import { FmodeChat, ChatService } from '../../service-fmai/service-chat';
import { NovaCloudService } from '../../../nova-cloud/nova-cloud.service';
import * as i0 from "@angular/core";
export declare class ModalChatVoiceInputComponent implements OnInit {
    private platform;
    private router;
    voiceServ: FmodeVoiceService;
    private toastCtrl;
    private ncloud;
    chatServ: ChatService;
    fmodeChat: FmodeChat | undefined;
    /**
      * 开始讲话方式：click点击开始/点击结束 press按住讲话/松开结束
      * @default click
     */
    talkMode: "click" | "press";
    talkTips: string;
    errorText: string;
    constructor(platform: Platform, router: Router, voiceServ: FmodeVoiceService, toastCtrl: ToastController, ncloud: NovaCloudService, chatServ: ChatService);
    ngOnInit(): void;
    /**
     * ASR唤醒功能
     */
    initVoiceASR(): Promise<void>;
    startASRAwake(): Promise<void>;
    /**
     * 音频提示音播放
     */
    player: HTMLAudioElement;
    playMusic(action: any): void;
    /**
      * 初始化录音转录服务
      * @desc
      * 根据数字角色对话状态，设计语音转录各事件处理过程
      * 嵌入提示音
      * 嵌入动画
      * 嵌入唤醒词切换逻辑
      */
    initVoiceSevice(): void;
    /**
     * 发送语音消息
     *
     */
    sendMessage(): Promise<void>;
    testTTS(sentence?: any): void;
    testXunfeiTTS(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalChatVoiceInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalChatVoiceInputComponent, "fm-modal-chat-voice-input", never, { "fmodeChat": { "alias": "fmodeChat"; "required": false; }; "talkMode": { "alias": "talkMode"; "required": false; }; }, {}, never, never, true, never>;
}
