import { ModalController, ToastController } from '@ionic/angular/standalone';
import { FmodeVoiceService } from '../../../voice/fmode-voice.service';
import { FmodeChat } from '../../../service-fmai/service-chat';
import { NovaUploadService } from '../../../../storage/service-upload/nova-upload.service';
import Parse from "parse";
import * as i0 from "@angular/core";
export declare class ModalAudioMessageComponent {
    voiceServ: FmodeVoiceService;
    private toastCtrl;
    private uploadServ;
    chat: FmodeChat;
    modal: ModalController;
    now: Date | undefined;
    isRecording: boolean;
    constructor(voiceServ: FmodeVoiceService, toastCtrl: ToastController, uploadServ: NovaUploadService);
    ngOnInit(): void;
    /**
     * 语音听写服务 ==============================================
     */
    /**
     * 音频提示音播放
     */
    player: HTMLAudioElement;
    playMusic(action: any): void;
    /**
      * 初始化录音转录服务
      * @desc
      * 根据数字角色对话状态，设计语音转录各事件处理过程
      * 嵌入提示音
      * 嵌入动画
      * 嵌入唤醒词切换逻辑
      */
    initVoiceSevice(): void;
    chatVoice: Parse.Object;
    saveChatVoice(): Promise<void>;
    sendMessage(): Promise<void>;
    /**
     * 计时器
     */
    durationStr: string;
    /**
     * 操作区
     */
    cancel(): void;
    send(): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalAudioMessageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalAudioMessageComponent, "fm-modal-audio-message", never, { "chat": { "alias": "chat"; "required": false; }; "modal": { "alias": "modal"; "required": false; }; }, {}, never, never, true, never>;
}
