import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { FmodeChat, FmodeChatMessage } from '../../service-fmai/service-chat';
import { ChatService } from '../../service-fmai/service-chat';
import { FmChatHeaderArea } from '../chat-header-area';
import { ModalController } from '@ionic/angular/standalone';
import * as i0 from "@angular/core";
export declare class ChatPanelComponent implements OnInit, AfterViewInit {
    private route;
    private router;
    private chatServ;
    headerArea: FmChatHeaderArea;
    goBack: Function;
    onChatSaved: (chat: FmodeChat) => void;
    onChatInit: (chat: FmodeChat) => void;
    onMessage: (chat: FmodeChat, message: FmodeChatMessage) => void;
    onUserSend: (chat: FmodeChat, message: FmodeChatMessage) => boolean | Promise<boolean>;
    onClose: (chat: FmodeChat) => boolean | Promise<boolean>;
    mode: 'modal' | 'page';
    chatId: string;
    maskId: any;
    roleId: string;
    fmodeChat: FmodeChat;
    leftButtons: any[] | undefined;
    modelList: any[] | undefined;
    isDirect: boolean;
    showInputModal: boolean;
    showMessageArea: boolean;
    showHeaderArea: boolean;
    hideShare: boolean;
    hideModalSelect: boolean;
    hideInputPreview: boolean;
    constructor(route: ActivatedRoute, router: Router, chatServ: ChatService);
    contentComp: ElementRef;
    /**
     * 监听DIV变化自动滚动至底部，改为更新内容区域组件
     */
    listenDivChange(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    initChat(data?: any): Promise<void>;
    sayWelcome(): void;
    loadMask(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChatPanelComponent, "app-chat-panel", never, { "goBack": { "alias": "goBack"; "required": false; }; "onChatSaved": { "alias": "onChatSaved"; "required": false; }; "onChatInit": { "alias": "onChatInit"; "required": false; }; "onMessage": { "alias": "onMessage"; "required": false; }; "onUserSend": { "alias": "onUserSend"; "required": false; }; "onClose": { "alias": "onClose"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "chatId": { "alias": "chatId"; "required": false; }; "maskId": { "alias": "maskId"; "required": false; }; "roleId": { "alias": "roleId"; "required": false; }; "leftButtons": { "alias": "leftButtons"; "required": false; }; "modelList": { "alias": "modelList"; "required": false; }; "isDirect": { "alias": "isDirect"; "required": false; }; "showInputModal": { "alias": "showInputModal"; "required": false; }; "showMessageArea": { "alias": "showMessageArea"; "required": false; }; "showHeaderArea": { "alias": "showHeaderArea"; "required": false; }; "hideShare": { "alias": "hideShare"; "required": false; }; "hideModalSelect": { "alias": "hideModalSelect"; "required": false; }; "hideInputPreview": { "alias": "hideInputPreview"; "required": false; }; }, {}, never, ["[chat-header]", "[chat-content]", "[chat-footer]"], true, never>;
}
export interface ChatPanelOptions {
    roleId: string;
    chatId?: string;
    pid?: string;
    leftButtons?: any[];
    modelList?: any[];
    isDirect?: boolean;
    hideModalSelect?: boolean;
    hideShare?: boolean;
    hideInputPreview?: boolean;
    onChatInit?: (chat: FmodeChat) => void;
    onChatSaved?: (chat: FmodeChat) => void;
    onUserSend?: (chat: FmodeChat, message: FmodeChatMessage) => boolean | Promise<boolean>;
    onMessage?: (chat: FmodeChat, message: FmodeChatMessage) => void;
    onClose?: (chat: FmodeChat) => boolean | Promise<boolean>;
}
export declare function openChatPanelModal(modalCtrl: ModalController, options: ChatPanelOptions): Promise<HTMLIonModalElement>;
