import { Router } from '@angular/router';
import { FmodeChat } from './chat-class';
import Parse from "parse";
import { NovaCloudService } from '../../../nova-cloud';
import { AlertController, NavController, Platform } from '@ionic/angular';
import { CrossService } from '../../../platform';
import { NovaUploadService } from '../../../storage/service-upload/nova-upload.service';
import * as i0 from "@angular/core";
export declare class ChatService {
    private router;
    private ncloud;
    private platform;
    private alertCtrl;
    private navCtrl;
    private cross;
    private uploadServ;
    chatMap: {
        [key: string]: FmodeChat;
    };
    isCapacitor: boolean;
    constructor(router: Router, ncloud: NovaCloudService, platform: Platform, alertCtrl: AlertController, navCtrl: NavController, cross: CrossService, uploadServ: NovaUploadService);
    modelList: Array<Parse.Object>;
    currentModel: Parse.Object;
    loadModelList(model?: Parse.Object): Promise<void>;
    platformMap: {
        pc: string;
        mobile: string;
    };
    doButtonAction(button: any): Promise<void>;
    initChatMap(sessionId: any): Promise<FmodeChat>;
    chatList: Array<any>;
    getChatSession(queryParams?: any): Promise<void>;
    getChatSessionDistinct(): Promise<any[]>;
    /**
     * 重建新对话窗口
     */
    createChatPanel(role?: any, chat?: any): void;
    createNewRoleChat(roleId: any): Promise<FmodeChat>;
    restoreChatPanel(options?: {
        rid: string;
        sid: string;
    }): Promise<void>;
    callRole(role: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChatService>;
}
