import { HttpClient } from '@angular/common/http';
import { AuthService } from '../../user/login/auth.service';
import * as i0 from "@angular/core";
export declare class WechatJssdkService {
    private http;
    private authServ;
    isInit: boolean;
    isWechat: boolean;
    wx: any;
    company: string;
    wechatAccountId: string;
    openid: string;
    constructor(http: HttpClient, authServ: AuthService);
    /**
     * 配置当前页面分享参数
     */
    setCurrentPageShareInfo(shareInfo?: {
        title: string;
        desc: string;
        link: string;
        type: string;
        imgUrl: string;
        success: () => void;
        error: () => void;
        cancel: () => void;
    }): Promise<void>;
    getInviteUrl(url: any): string;
    /**
     * 当前页面获取微信授权签名
     */
    getWXSignPackageInWechat(): Promise<any>;
    /** 微信用户初始化
     * @desc 为当前已登录用户，获取微信授权openid信息
    */
    initUserOpenid(): Promise<void>;
    authWechat(url?: string): void;
    getQueryStringByName(name: string): string;
    getwechat(code: string, url?: string): Promise<boolean>;
    /** 微信环境初始化 */
    init(): Promise<boolean>;
    loadScript(url: any, callback: any, errCallback: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WechatJssdkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WechatJssdkService>;
}
