import Parse from "parse";
import { Router } from '@angular/router';
import { NovaCloudService } from '../../nova-cloud';
import { HttpClient } from '@angular/common/http';
import { ToastController } from '@ionic/angular/standalone';
import * as i0 from "@angular/core";
export declare class AuthService {
    router: Router;
    private toastCtrl;
    private novaCloud;
    private http;
    /**
     * 守卫方式：权限验证锁定方式
     * @type "page"|"modal" page页面跳转 modal弹窗锁定
     */
    guardType: "page" | "modal";
    guardMap: any;
    isModalShow: boolean;
    isGuardLock(url: any): boolean;
    showBackHome: boolean;
    activeButton: string;
    loginOptions: {
        userpwd?: boolean;
        mobilepwd?: boolean;
        mobilecode?: boolean;
        wechat?: boolean;
    };
    get loginTypeCount(): number;
    /**
     * 企业账套：登录用户校验所在的账套
     */
    _logoUrl: string;
    get logoUrl(): string;
    set logoUrl(v: string);
    company: string;
    getCompanyId(): string;
    wechatUrl: string;
    /**
     * 资金账户：user自动创建唯一资金账户
     */
    account: Parse.Object;
    /**
     * 登录状态：默认false，登陆后为true
     * @description
     * 用于守卫弹窗锁定模块校验
     */
    isLoggedIn: boolean;
    redirectUrl: string;
    constructor(router: Router, toastCtrl: ToastController, novaCloud: NovaCloudService, http: HttpClient);
    toast(options: any): Promise<void>;
    init(options: {
        company?: string;
        guardType?: "page" | "modal";
        LoginPage?: string;
    }): void;
    checkLoginLock(): boolean;
    LoginPage: string;
    checkLogin(url: string): boolean;
    setAccount(user: any): Promise<Parse.Object<Parse.Attributes>>;
    login(username: any, password: any): Promise<unknown>;
    refreshPage(): Promise<unknown>;
    setCurrentUserLocalStorage(user: Parse.User): void;
    logout(type: any, url: any): void;
    /**
     * 根据帐套内mobile字段登录逻辑
     */
    loginMobilePassword(mobile: string, password: string, msgServ: any): Promise<void>;
    signMobilePassword(mobile: string, password: string): Promise<any>;
    mobileUserMap: {};
    getMobileUser(mobile: string): Promise<any>;
    enabledLocalCode: boolean;
    signUpAndUpdate(mobile: any, password?: string): Promise<Parse.Object | undefined>;
    getMobileCodeToken(mobile: any, code: any): Promise<any>;
    loginCode(mobile: string, code: string, msgServ?: any, closeCallBack?: any): Promise<Boolean>;
    saveParamsInvite(): void;
    bindInvite(current?: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
